Thanks, I upgraded one of my company projects from webpack 2 to webpack 3 when it announced, play…
Roy Yu
1

Thanks again for bringing webpack 3 to community. Just to following up that the warnings mentioned doesn’t affect the functionality at all.

But running shrinkwrap will fail because of the “peer invalid”

peer invalid: webpack@1 || ^2.1.0-beta || ^2.2.0-rc.0, required by webpack-dev-middleware@1.10.2

Here I have a branch that upgrade to webpack 3 and hope this effort will help the community to move forward to webpack 3 more smoothly :)

https://github.com/iroy2000/react-redux-boilerplate/tree/upgrade-to-webpack-3

Show your support

Clapping shows how much you appreciated Roy Yu’s story.